package model

import "time"

type Alamat struct {
	Id         *int32    `json:"id,omitempty"`
	Kategori   *int32    `json:"kategori,omitempty"`
	Negara     *int32    `json:"negara,omitempty"`
	Provinsi   *int32    `json:"provinsi,omitempty"`
	Kabupaten  *int32    `json:"kabupaten,omitempty"`
	Kecamatan  *int32    `json:"kecamatan,omitempty"`
	Kelurahan  *int32    `json:"kelurahan,omitempty"`
	Kode_pos   *string   `json:"kode_pos,omitempty"`
	Nama_jalan *string   `json:"nama_jalan,omitempty"`
	Rt         *string   `json:"rt,omitempty"`
	Rw         *string   `json:"rw,omitempty"`
	No_hp      *string   `json:"no_hp,omitempty"`
	No_telpon  *string   `json:"no_telpon,omitempty"`
	Pasien_id  int32     `json:"pasien_id"`
	Status     *bool     `json:"status,omitempty"`
	Created_at time.Time `json:"created_at"`
	Updated_at time.Time `json:"updated_at"`
	Is_deleted *bool     `json:"is_deleted,omitempty"`
}
