package model

import "time"

type Keluarga struct {
	Id           int32     `json:"id"`
	PasienId     int32     `json:"pasien_id"`
	Nama         *string   `json:"nama,omitempty"`
	Hubungan     *int8     `json:"hubungan,omitempty"`
	NoIdentitas  *string   `json:"no_identitas,omitempty"`
	NoHp         *string   `json:"no_hp,omitempty"`
	KotaLahir    *int32    `json:"kota_lahir,omitempty"`
	Alamat       *string   `json:"alamat,omitempty"`
	TanggalLahir time.Time `json:"tanggal_lahir,omitempty"`
	JenisKelamin *int32    `json:"jenis_kelamin,omitempty"`
	Pendidikan   *int32    `json:"pendidikan,omitempty"`
	Pekerjaan    *int32    `json:"pekerjaan,omitempty"`
	Email        *string   `json:"email,omitempty"`
}
